### Enumeration

# WebKit2 AutoplayPolicy

since: 2.30

#### Declaration

    enum WebKit2.AutoplayPolicy

#### Description [src]

Enum values used to specify autoplay policies.

Available since: 2.30

#### Members

Name | Description
--- | ---
`WEBKIT_AUTOPLAY_ALLOW` | Do not restrict autoplay.
`WEBKIT_AUTOPLAY_ALLOW_WITHOUT_SOUND` | Allow videos to autoplay if they have no audio track, or if their audio track is muted.
`WEBKIT_AUTOPLAY_DENY` | Never allow autoplay.